package com.googlecode.webworkwebflow;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.webflow.context.servlet.ServletExternalContext;

import com.opensymphony.xwork.ActionContext;
import com.opensymphony.xwork.ActionInvocation;

/**
 * External context that stores the current WebWork
 * <code>ActionInvocation</code>.
 * 
 * Original Author: Aaron Dressin
 */
public class WebworkExternalContext extends ServletExternalContext {

	private ActionInvocation actionInvocation;

	/**
	 * Constructs a new WebworkExternalContext
	 * 
	 * @param actionInvocation
	 * @param servletContext
	 * @param request
	 * @param response
	 */
	public WebworkExternalContext(ActionInvocation actionInvocation,
			ServletContext servletContext, HttpServletRequest request,
			HttpServletResponse response) {
		super(servletContext, request, response);
		this.actionInvocation = actionInvocation;
	}

	/**
	 * @return ActionInvocation
	 */
	public ActionInvocation getActionInvocation() {
		return actionInvocation;
	}

	/**
	 * @return ActionContext
	 */
	public ActionContext getActionContext() {
		return ActionContext.getContext();
	}
}
